apiVersion: apps/v1
kind: Deployment
metadata:
  name: spa-be-deployment
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    matchLabels:
      app: spa-be-container
  template:
    metadata:
      labels:
        app: spa-be-container
      annotations:
        checksum/config1: {{ include (print $.Template.BasePath "/spa-be-configmap.yaml") . | sha256sum }}
    spec:
      containers:
        - image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: Always
          name: spa-be-container
          env:
            - name: SPRING_CONFIG_LOCATION
              value: 'file:/config/'
            - name: KEYCLOAK_PASSWORD_TECHUSER
              valueFrom:
                secretKeyRef:
                  name: keycloak-secret-techuser
                  key: KEYCLOAK_PASSWORD_TECHUSER
            - name: APP_DB_ROLE
              value: spa_service
            - name: APP_DB_PASSWORD
              value: spa_service
            - name: APP_DBNAME
              value: spa_service_{{ .Values.shortNameEnv | lower }}
            - name: DATASOURCE_URL
              value: jdbc:postgresql://postgresql-svc.{{ .Values.sharedEnvironment }}.svc.cluster.local/$(APP_DBNAME)
            - name: JAVA_TOOL_OPTIONS
              value: "-agentlib:jdwp=transport=dt_socket,address=5000,server=y,suspend=n"
          ports:
            - containerPort: 5000
              name: "jvm-debug"
            - containerPort: 80
          volumeMounts:
            #- name: config-volume
            #  mountPath: /config/
            #  readOnly: true
            - name: config-volume
              mountPath: /config/application.yml
              subPath: application.yml
            - name: config-volume
              mountPath: /config/mail-notification.properties
              subPath: mail-notification.properties 
            - name: config-volume
              mountPath: /config/mail-statement.properties
              subPath: mail-statement.properties 
            - name: config-volume
              mountPath: /config/mailConfig.json
              subPath: mailConfig.json
      volumes:
        - name: config-volume
          configMap:
            name: spa-be-config
---
apiVersion: v1
kind: Service
metadata:
  name: spa-be-service
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    app: spa-be-container
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80